/* ALTURA DO HEADER */
.heightToHeader {
    height: 94px;
}

@media (min-width: 576px) {
    .heightToHeader {
        height: 135px;
    }
}

.overlayCarousel {
    min-height: 20dvh;
}

@media (min-width: 576px) {
    .overlayCarousel {
        min-height: 26dvh;
    }
}

.swipersHome {
    position: relative;
    padding-top: 4rem;
    overflow: hidden;
}

@media (min-width: 576px) {
    .swipersHome {
        padding-inline: 20px;
    }
}

.swipersHome .swiper-button-prev,
.swipersHome .swiper-button-next {
    top: 0;
    right: 0;
    left: auto;
    margin-top: 0;
    width: 40px;
    height: 40px;
    color: var(--bs-primary);
}

.swipersHome .swiper-button-prev {
    right: 83px;
}

.swipersHome .swiper-button-next {
    right: 10px;
}

.swipersHome .swiper-button-prev::after,
.swipersHome .swiper-button-next::after {
    font-size: 16px;
    font-weight: bold;
}

.swipersHome,
.swipersHome .swiper-slide,
.swipersHome .joinImgIco {
    transition: all 0.2s ease-in-out;
}

.swipersHome .swiper-slide img,
.swipersHome .swiper-slide .joinImgIco .material-symbols-outlined {
    transform: scale(1);
    transition: transform 0.2s ease-in-out;
}

.swipersHome .joinImgIco .material-symbols-outlined {
    margin-top: -25px;
    background: var(--bs-warning);
    color: var(--bs-secondary);
}

.swipersHome:hover .swiper-slide {
    filter: blur(1.3px);
}

.swipersHome .swiper-slide:hover {
    cursor: pointer;
    filter: blur(0px) !important;
}

.swipersHome .swiper-slide:hover img,
.swipersHome .swiper-slide:hover .joinImgIco .material-symbols-outlined {
    transform: scale(1.05);
}

/* SESSÃO GRID DE DESTAQUE ESTABELECIMENTOS */
.boxDestaquesGrid {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1rem;
    grid-template-areas:
        "card-1"
        "card-2"
        "card-3"
        "card-4"
        "card-5";
}

/* Tablet */
@media (min-width: 768px) {
    .boxDestaquesGrid {
        grid-template-columns: 1fr 1fr;
        grid-template-areas:
            "card-1 card-2"
            "card-1 card-3"
            "card-4 card-5";
    }
}

/* Desktop */
@media (min-width: 1200px) {
    .boxDestaquesGrid {
        grid-template-columns: 1fr 1fr 1fr;
        grid-template-rows: 1fr 1fr 1fr;
        grid-template-areas:
            "card-1 card-2 card-2"
            "card-1 card-5 card-3"
            "card-4 card-4 card-3";
    }
}


.boxDestaquesGrid .card-1 {
    grid-area: card-1;
}

.boxDestaquesGrid .card-2 {
    grid-area: card-2;
}

.boxDestaquesGrid .card-3 {
    grid-area: card-3;
}

.boxDestaquesGrid .card-4 {
    grid-area: card-4;
}

.boxDestaquesGrid .card-5 {
    grid-area: card-5;
}

.boxDestaquesGrid .tagCategoria,
.boxDestaquesGrid .icon-add {
    width: fit-content;
    background: var(--bs-warning);
    color: var(--bs-secondary);
}


/* SESSÃO ESTABELECIMENTOS POPULARES */
.boxCardsPopulares {
    transition: all 0.2s ease-in-out;
}

.boxCardsPopulares .card {
    width: 100%;
    max-width: max-content;
    transform: scale(1);
    transition: transform 0.2s ease-in-out;
}

@media (min-width: 576px) {
    .boxCardsPopulares .card {
        max-width: 320px;
    }
}

.boxCardsPopulares:hover .card {
    filter: blur(1.3px);
}

.boxCardsPopulares .card:hover {
    cursor: pointer;
    filter: blur(0px) !important;
    transform: scale(1.05);
}

.boxCardsPopulares .tagCategoria,
.boxCardsPopulares .icon-add {
    width: fit-content;
    background: var(--bs-light);
    color: var(--bs-dark);
}

.boxCardsPopulares .tagCategoria {
    color: var(--bs-secondary);
}

/* SESSÃO ANUNCIE */
#anuncie .overlayCarousel {
    min-height: 215px;
}

@media (min-width: 576px) {
    #anuncie .overlayCarousel {
        min-height: 255px;
    }
}

#anuncie .btn-categoria-anuncie {
    color: var(--brand-primary);
    padding-right: 20px;
}

@media (min-width: 576px) {
    #anuncie .btn-categoria-anuncie {
        padding-right: 30px;
    }
}

#anuncie .btn-categoria-anuncie.active {
    background-color: var(--brand-primary);
    color: var(--brand-light);
}

#anuncie .boxCardsAnuncio {
    width: 100%;
    max-width: clamp(200px, 70vw, 280px);
}

@media (min-width: 576px) {
    #anuncie .boxCardsAnuncio {
        max-width: clamp(280px, 30vw, 380px);
    }
}

#anuncie .boxCardsAnuncio .swiper {
    width: 100%;
}

#anuncie .boxCardsAnuncio .swiper-wrapper {
    box-sizing: border-box;
}

#anuncie .boxCardsAnuncio .swiper-slide {
    height: auto;
}

#anuncie .boxCardsAnuncio {
    --swiper-navigation-size: 20px;
    --swiper-pagination-bullet-width: 1rem;
    --swiper-pagination-bullet-border-radius: 5px;
}


/* ========================
    PÁGINA CATEGORIAS
======================== */
.propagandas-swiper .swiper-button-prev,
.propagandas-swiper .swiper-button-next {
    top: auto;
    bottom: 0;
    right: 0;
    left: auto;
    margin-top: 0;
    width: 30px;
    height: 30px;
    color: var(--bs-primary);
}

.propagandas-swiper .swiper-button-prev {
    right: 70px;
}

.propagandas-swiper .swiper-button-next {
    right: 10px;
}

.propagandas-swiper .swiper-button-prev::after,
.propagandas-swiper .swiper-button-next::after {
    font-size: 16px;
    font-weight: bold;
}

.filters details {
    padding: 0px;
    margin: 0px;
}

.filters details summary {
    font-weight: 600;
    cursor: pointer;
}

.filters details[open] summary {
    color: var(--brand-secondary);
}

.filters details summary .icon-summary {
    transition: all 0.2s ease-in-out;
}

.filters details[open] summary .icon-summary {
    transform: rotate(90deg);
}

.filters details summary::marker {
    display: none;
}

.filters details label {
    cursor: pointer;
    transition: all 0.2s ease-in-out;
}

.filters details label:hover {
    background-color: var(--brand-light);
}

#alertCategoria {
    transition: opacity 0.5s ease;
}

#alertCategoria.hide {
    opacity: 0;
}

.lista-estabelecimentos {
    grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
}


.categorias-populares-swiper .swiper-button-prev,
.categorias-populares-swiper .swiper-button-next {
    top: 0;
    right: 0;
    left: auto;
    margin-top: 0;
    width: 30px;
    height: 30px;
    color: var(--bs-primary);
}

.categorias-populares-swiper .swiper-button-prev {
    right: 70px;
}

.categorias-populares-swiper .swiper-button-next {
    right: 10px;
}

.categorias-populares-swiper .swiper-button-prev::after,
.categorias-populares-swiper .swiper-button-next::after {
    font-size: 16px;
    font-weight: bold;
}

/* ==================
    PÁGINA SOBRE
================== */
span[data-number] {
    color: var(--bs-primary);
}

.nosso-proposito {
    width: 95%;
}

@media (min-width: 992px) {
    .nosso-proposito {
        width: 50%;
    }
}

.nosso-proposito h3 {
    font-size: clamp(1.2rem, 3vw, 3.5rem);
    font-weight: 600;
}

.nosso-proposito strong {
    font-size: clamp(0.8rem, 2.3vw, 1.7rem);
    font-weight: 500;
}

.nosso-proposito span {
    font-size: clamp(0.7rem, 2vw, 1.2rem);
    font-weight: normal;
}

.accordion {
    --bs-border-radius: 1rem;
    --bs-accordion-btn-bg: transparent;
    --bs-accordion-active-bg: var(--bs-primary);
}


/* ====================
    PÁGINA CONTATO
==================== */
#contato form input {
    height: 60px;
    background-color: var(--bs-light);
}

#contato form button[type=submit] {
    height: 55px;
}